Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 822831 - net-misc/realtek-r8152-2.15.0 - /.../r8152.c: error: initialization of int ( )(struct net_device , struct ethtool_coalesce , struc
Summary: net-misc/realtek-r8152-2.15.0 - /.../r8152.c: error: initialization of int ( ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Piotr Karbowski
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-10 08:20 UTC by Toralf Förster
Modified: 2022-04-27 16:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.89 KB, text/plain)
2021-11-10 08:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,264.46 KB, text/plain)
2021-11-10 08:20 UTC, Toralf Förster
Details
environment (environment,93.70 KB, text/plain)
2021-11-10 08:20 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,15.99 KB, application/x-bzip)
2021-11-10 08:20 UTC, Toralf Förster
Details
net-misc:realtek-r8152-2.15.0:20211109-221320.log (net-misc:realtek-r8152-2.15.0:20211109-221320.log,4.31 KB, text/plain)
2021-11-10 08:20 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,23.04 KB, application/x-bzip)
2021-11-10 08:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-11-10 08:20:38 UTC
/var/tmp/portage/net-misc/realtek-r8152-2.15.0/work/realtek-r8152-2.15.0/r8152.c:18530:25: error: initialization of ‘int (*)(struct net_device *, struct ethtool_coalesce *, struct kernel_ethtool_coalesce *, struct netlink_ext_ack *)’ from incompatible pointer type ‘int (*)(struct net_device *, struct ethtool_coalesce *)’ [-Werror=incompatible-pointer-types]
18530 |         .get_coalesce = rtl8152_get_coalesce,
      |                         ^~~~~~~~~~~~~~~~~~~~
/var/tmp/portage/net-misc/realtek-r8152-2.15.0/work/realtek-r8152-2.15.0/r8152.c:18530:25: note: (near initialization for ‘ops.get_coalesce’)
/var/tmp/portage/net-misc/realtek-r8152-2.15.0/work/realtek-r8152-2.15.0/r8152.c:18531:25: error: initialization of ‘int (*)(struct net_device *, struct ethtool_coalesce *, struct kernel_ethtool_coalesce *, struct netlink_ext_ack *)’ from incompatible pointer type ‘int (*)(struct net_device *, struct ethtool_coalesce *)’ [-Werror=incompatible-pointer-types]

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-j4-20211106-142500

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.2.0 *
clang version 13.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/13/bin
/usr/lib/llvm/13
13.0.0
Python 3.9.8
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby27 (with Rubygems)
  [3]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.56.1 *
The Glorious Glasgow Haskell Compilation System, version 8.10.4
php cli:
  [1]   php7.3
  [2]   php7.4
  [3]   php8.0 *

  HEAD of ::gentoo
commit a8bfbbf95604f42e31d3880fc36b115d40d29299
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Tue Nov 9 21:21:43 2021 +0000

    2021-11-09 21:21:41 UTC

emerge -qpvO net-misc/realtek-r8152
[ebuild  N    ] net-misc/realtek-r8152-2.15.0  USE="-dist-kernel"
Comment 1 Toralf Förster gentoo-dev 2021-11-10 08:20:39 UTC
Created attachment 750021 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-11-10 08:20:40 UTC
Created attachment 750024 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-11-10 08:20:42 UTC
Created attachment 750027 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-11-10 08:20:43 UTC
Created attachment 750030 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-11-10 08:20:44 UTC
Created attachment 750033 [details]
net-misc:realtek-r8152-2.15.0:20211109-221320.log
Comment 6 Toralf Förster gentoo-dev 2021-11-10 08:20:45 UTC
Created attachment 750036 [details]
temp.tar.bz2
Comment 7 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2021-11-12 22:16:36 UTC
Seems to not work with 5.15 kernel, however in 5.13 it went supposedly upstream, will test and perhaps remove this package from tree.
Comment 8 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2021-11-14 15:27:47 UTC
The mainline driver tested in 5.15.2 works just fine, thought it had to be manually loaded, as udev do not do it for you.

Once 5.15 is stabilized (it's LTS) I will last-rite the realtek-r8152 and close this bug.
Comment 9 Larry the Git Cow gentoo-dev 2022-04-27 16:15:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f7a2ce0e8e234be0604d27e9e6c08412e64d3d3

commit 2f7a2ce0e8e234be0604d27e9e6c08412e64d3d3
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-04-27 16:09:30 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-04-27 16:09:30 +0000

    net-misc/realtek-r8152: treeclean
    
    Closes: https://bugs.gentoo.org/822831
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 net-misc/realtek-r8152/Manifest                    |  2 -
 net-misc/realtek-r8152/metadata.xml                |  8 ---
 net-misc/realtek-r8152/realtek-r8152-2.14.0.ebuild | 59 ----------------------
 net-misc/realtek-r8152/realtek-r8152-2.15.0.ebuild | 59 ----------------------
 profiles/package.mask                              |  7 ---
 5 files changed, 135 deletions(-)